Accepting request 96335 from Base:System
- add libtool as explicit buildrequire - readd brp-compress - do not hardcode brp check list, but call everything below /usr/lib/rpm/brp-suse.d - and move our own brp scripts to brp-check-suse OBS-URL: https://build.opensuse.org/request/show/96335 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/rpm?expand=0&rev=168
This commit is contained in:
commit
7943039682
267
brp.diff
267
brp.diff
@ -2,75 +2,20 @@ SUSE specific brp script patches
|
|||||||
|
|
||||||
Index: scripts/Makefile.am
|
Index: scripts/Makefile.am
|
||||||
===================================================================
|
===================================================================
|
||||||
--- scripts/Makefile.am.orig
|
--- scripts/Makefile.am.orig 2011-12-11 09:38:35.000000000 +0100
|
||||||
+++ scripts/Makefile.am
|
+++ scripts/Makefile.am 2011-12-11 10:30:24.786227246 +0100
|
||||||
@@ -6,6 +6,7 @@ CLEANFILES =
|
@@ -25,6 +25,7 @@ EXTRA_DIST = \
|
||||||
|
|
||||||
EXTRA_DIST = \
|
|
||||||
brp-compress brp-python-bytecompile brp-java-gcjcompile \
|
|
||||||
+ brp-lib64-linux brp-symlink \
|
|
||||||
brp-strip brp-strip-comment-note brp-python-hardlink \
|
|
||||||
brp-strip-shared brp-strip-static-archive \
|
|
||||||
check-files check-prereqs \
|
|
||||||
@@ -24,6 +25,7 @@ EXTRA_DIST = \
|
|
||||||
|
|
||||||
rpmconfig_SCRIPTS = \
|
rpmconfig_SCRIPTS = \
|
||||||
brp-compress brp-python-bytecompile brp-java-gcjcompile \
|
brp-compress brp-python-bytecompile brp-java-gcjcompile \
|
||||||
+ brp-lib64-linux brp-symlink \
|
|
||||||
brp-strip brp-strip-comment-note brp-python-hardlink \
|
brp-strip brp-strip-comment-note brp-python-hardlink \
|
||||||
|
+ brp-suse \
|
||||||
brp-strip-shared brp-strip-static-archive \
|
brp-strip-shared brp-strip-static-archive \
|
||||||
check-files check-prereqs \
|
check-files check-prereqs \
|
||||||
Index: scripts/brp-lib64-linux
|
check-buildroot check-rpaths check-rpaths-worker \
|
||||||
===================================================================
|
|
||||||
--- /dev/null
|
|
||||||
+++ scripts/brp-lib64-linux
|
|
||||||
@@ -0,0 +1,42 @@
|
|
||||||
+#!/bin/bash
|
|
||||||
+# script checks wether package is 64-bit clean
|
|
||||||
+# and also for a linker bug. (linker allows 64bit libs to link 32bit libs)
|
|
||||||
+echo "sf@suse.de: if you find problems with this script, drop me a note"
|
|
||||||
+# If using normal root, avoid changing anything:
|
|
||||||
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
|
|
||||||
+ exit 0
|
|
||||||
+fi
|
|
||||||
+files=
|
|
||||||
+tfiles=
|
|
||||||
+LC_ALL=
|
|
||||||
+LANG=
|
|
||||||
+# check for 64-bit libs in */lib
|
|
||||||
+for p in `grep -v 'lib64' /etc/ld.so.conf`
|
|
||||||
+do
|
|
||||||
+ if test -d $RPM_BUILD_ROOT$p ; then
|
|
||||||
+ for f in `find $RPM_BUILD_ROOT$p \
|
|
||||||
+ -maxdepth 1 -type f -name \*.so\* -o -name \*.a -follow 2>/dev/null`
|
|
||||||
+ do
|
|
||||||
+ [ $HOSTTYPE = s390x ] && case $f in */lib/ld64.so.1) continue; esac
|
|
||||||
+ objdump -f $f 2>/dev/null | grep 'format elf64' \
|
|
||||||
+ && { echo "$f: should be in */lib64"; exit 1; }
|
|
||||||
+
|
|
||||||
+ done
|
|
||||||
+ fi
|
|
||||||
+done
|
|
||||||
+
|
|
||||||
+# check for 64 bit libs that have an rpath to a 32 bit Library
|
|
||||||
+
|
|
||||||
+for p in `grep 'lib64' /etc/ld.so.conf`
|
|
||||||
+do
|
|
||||||
+ if test -d $RPM_BUILD_ROOT$p ; then
|
|
||||||
+ for f in `find $RPM_BUILD_ROOT$p \
|
|
||||||
+ -maxdepth 1 -type f -name \*.so\* -o -name \*.a -follow 2>/dev/null`
|
|
||||||
+ do
|
|
||||||
+ # check for rpath to 32bit libs
|
|
||||||
+ objdump -x $f 2>/dev/null | grep -v "lib64" | grep -i 'rpath.*lib$' \
|
|
||||||
+ && { echo "$f: rpath to 32bit lib"; exit 1; }
|
|
||||||
+ done
|
|
||||||
+ fi
|
|
||||||
+done
|
|
||||||
+exit 0
|
|
||||||
Index: scripts/brp-strip
|
Index: scripts/brp-strip
|
||||||
===================================================================
|
===================================================================
|
||||||
--- scripts/brp-strip.orig
|
--- scripts/brp-strip.orig 2011-12-11 09:38:35.000000000 +0100
|
||||||
+++ scripts/brp-strip
|
+++ scripts/brp-strip 2011-12-11 10:30:16.464621084 +0100
|
||||||
@@ -15,6 +15,7 @@ esac
|
@@ -15,6 +15,7 @@ esac
|
||||||
for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
||||||
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
|
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
|
||||||
@ -81,8 +26,8 @@ Index: scripts/brp-strip
|
|||||||
done
|
done
|
||||||
Index: scripts/brp-strip-comment-note
|
Index: scripts/brp-strip-comment-note
|
||||||
===================================================================
|
===================================================================
|
||||||
--- scripts/brp-strip-comment-note.orig
|
--- scripts/brp-strip-comment-note.orig 2011-12-11 09:38:35.000000000 +0100
|
||||||
+++ scripts/brp-strip-comment-note
|
+++ scripts/brp-strip-comment-note 2011-12-11 10:30:16.465621036 +0100
|
||||||
@@ -16,6 +16,8 @@ esac
|
@@ -16,6 +16,8 @@ esac
|
||||||
# for already stripped elf files in the build root
|
# for already stripped elf files in the build root
|
||||||
for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
||||||
@ -92,194 +37,22 @@ Index: scripts/brp-strip-comment-note
|
|||||||
sed -n -e 's/^\(.*\):[ ]*ELF.*, stripped/\1/p'`; do
|
sed -n -e 's/^\(.*\):[ ]*ELF.*, stripped/\1/p'`; do
|
||||||
note="-R .note"
|
note="-R .note"
|
||||||
if $OBJDUMP -h $f | grep '^[ ]*[0-9]*[ ]*.note[ ]' -A 1 | \
|
if $OBJDUMP -h $f | grep '^[ ]*[0-9]*[ ]*.note[ ]' -A 1 | \
|
||||||
Index: scripts/brp-symlink
|
Index: scripts/brp-suse
|
||||||
===================================================================
|
===================================================================
|
||||||
--- /dev/null
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||||
+++ scripts/brp-symlink
|
+++ scripts/brp-suse 2011-12-11 10:31:29.117182578 +0100
|
||||||
@@ -0,0 +1,186 @@
|
@@ -0,0 +1,14 @@
|
||||||
+#!/bin/sh
|
+#! /bin/sh
|
||||||
+
|
+
|
||||||
+# Task: go through the files in $RPM_BUILD_ROOT and
|
+# If using normal root, avoid changing anything:
|
||||||
+# relink symbolic links so that:
|
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
|
||||||
+# links crossing top level directory boundaries (/usr/* -> /etc/*)
|
|
||||||
+# are absolute links
|
|
||||||
+# links below one top level directory (/usr/bin/* -> /usr/lib/*)
|
|
||||||
+# are relative links
|
|
||||||
+# NOTE: we're not doing this to fix a problem (as no matter how you
|
|
||||||
+# do it you fix one problem by creating another). We're doing it
|
|
||||||
+# so we can document this as policy - so you can rely on it
|
|
||||||
+
|
|
||||||
+# Additional Task: check some usual errors arround symlinks e.g.
|
|
||||||
+# dangling symlinks or symlinks to init scripts in wrong location
|
|
||||||
+
|
|
||||||
+# Author: Stephan Kulow <coolo@suse.de>
|
|
||||||
+
|
|
||||||
+# If using normal root, avoid changing anything.
|
|
||||||
+if [ -z "$RPM_BUILD_ROOT" ]; then
|
|
||||||
+ exit 0
|
+ exit 0
|
||||||
+fi
|
+fi
|
||||||
+
|
+
|
||||||
+LC_ALL=
|
+ls -1 /usr/lib/rpm/brp-suse.d/brp* | sort | while read script; do
|
||||||
+LANG=
|
+ if test -x "$script"; then
|
||||||
+LC_TIME=POSIX
|
+ echo "calling $script"
|
||||||
+
|
+ $script
|
||||||
+BASENAME=/usr/bin/basename
|
|
||||||
+DIRNAME=/usr/bin/dirname
|
|
||||||
+READLINK=/usr/bin/readlink
|
|
||||||
+
|
|
||||||
+cd $RPM_BUILD_ROOT
|
|
||||||
+
|
|
||||||
+had_errors=0
|
|
||||||
+
|
|
||||||
+links=`find . -type l | sed -e "s,^./,/,"`
|
|
||||||
+for link in $links
|
|
||||||
+do
|
|
||||||
+ link_dest=`$READLINK ./$link`
|
|
||||||
+ orig_link_dest=$link_dest
|
|
||||||
+
|
|
||||||
+ new_link_dest=NONE
|
|
||||||
+ link_dir=`$DIRNAME $link`
|
|
||||||
+
|
|
||||||
+ case $link_dest in
|
|
||||||
+ .|..|../..) # link to current dir
|
|
||||||
+ continue ;;
|
|
||||||
+ .*) # relative links up
|
|
||||||
+ link_dest="$link_dir/$link_dest"
|
|
||||||
+ ;;
|
|
||||||
+ /*) # absolute links
|
|
||||||
+ ;;
|
|
||||||
+ */*) # relative links down
|
|
||||||
+ link_dest="$link_dir/$link_dest"
|
|
||||||
+ ;;
|
|
||||||
+ *) # the rest
|
|
||||||
+ continue
|
|
||||||
+ esac
|
|
||||||
+
|
|
||||||
+ # cleaning out double slash
|
|
||||||
+ link_dest=`echo $link_dest | sed -e 's,//*,/,g; s,/\.$,/,; s,/$,,'`
|
|
||||||
+
|
|
||||||
+ # eliminating /./ components
|
|
||||||
+ link_dest=`echo $link_dest | sed -e "s,/\./,/,g"`;
|
|
||||||
+
|
|
||||||
+ counter=0
|
|
||||||
+ # eliminating back references
|
|
||||||
+ while echo $link_dest | egrep -q '/\.\.'; do
|
|
||||||
+ link_dest=`echo $link_dest | sed -e "s,/[^/]*/\.\.,,"`;
|
|
||||||
+ case $link_dest in
|
|
||||||
+ /..*) # this is very mean
|
|
||||||
+ echo "ERROR: $link points to illegal $link_dest"
|
|
||||||
+ exit 1
|
|
||||||
+ ;;
|
|
||||||
+ esac
|
|
||||||
+ counter=$((counter + 1))
|
|
||||||
+ if test $counter -gt 10; then
|
|
||||||
+ echo "ERROR: more than 10 back references in $link?"
|
|
||||||
+ exit 1
|
|
||||||
+ fi
|
|
||||||
+ done
|
|
||||||
+
|
|
||||||
+ # black list
|
|
||||||
+ case "$link,$link_dest" in
|
|
||||||
+ *,/var/lib/named*)
|
|
||||||
+ continue;;
|
|
||||||
+ /usr/etc,*|/usr/tmp,*)
|
|
||||||
+ continue;;
|
|
||||||
+ */share/texmf/*|/usr/share/terminfo/*)
|
|
||||||
+ continue;;
|
|
||||||
+ /sbin/init,*) # don't create absolute symlink for /sbin/init
|
|
||||||
+ continue;;
|
|
||||||
+ *share/automake-*)
|
|
||||||
+ echo "ERROR: link target $link points into automake directory"
|
|
||||||
+ echo " You might want to add a -c to the automake call (or just"
|
|
||||||
+ echo " skip the files from packaging)"
|
|
||||||
+ exit 1
|
|
||||||
+ ;;
|
|
||||||
+ *,/opt/kde3/share/doc*/HTML/*/common) # white listed for not existant
|
|
||||||
+ ;;
|
|
||||||
+ *,/usr/share/doc/kde/HTML/*/common) # white listed for not existant
|
|
||||||
+ ;;
|
|
||||||
+ *,/proc/*) # links pointing into /proc file system
|
|
||||||
+ ;;
|
|
||||||
+ *)
|
|
||||||
+ if test ! -L ./$link_dest && test ! -e $link_dest && test ! -e ./$link_dest; then
|
|
||||||
+ echo "ERROR: link target doesn't exist (neither in build root nor in installed system):"
|
|
||||||
+ echo " $link -> $link_dest"
|
|
||||||
+ echo "Add the package providing the target to neededforbuild and Requires"
|
|
||||||
+ test "$NO_BRP_STALE_LINK_ERROR" != "yes" && had_errors=1
|
|
||||||
+ fi
|
|
||||||
+ ;;
|
|
||||||
+ esac
|
|
||||||
+
|
|
||||||
+ forced_absolute=0
|
|
||||||
+ for prefix in /usr/X11R6/lib/X11 /usr/X11R6/include/X11 /usr/X11R6/lib/X11/app-defaults ; do
|
|
||||||
+ if echo $link | grep -q "^$prefix/"; then
|
|
||||||
+ if echo $link_dest | grep -q "^$prefix/"; then
|
|
||||||
+ # if it's below it, it's fine
|
|
||||||
+ :
|
|
||||||
+ else
|
|
||||||
+ forced_absolute=1
|
|
||||||
+ fi
|
|
||||||
+ fi
|
|
||||||
+ done
|
|
||||||
+
|
|
||||||
+ dest_dir=`$DIRNAME $link_dest`
|
|
||||||
+
|
|
||||||
+ # figuring out (currently) correct destination
|
|
||||||
+ if test "$link_dir" = "$dest_dir" || test "$dest_dir" = "."; then
|
|
||||||
+ new_link_dest=`$BASENAME $link_dest`
|
|
||||||
+ else
|
|
||||||
+ # figuring out top level directory
|
|
||||||
+ top_link=`echo $link | sed -e 's,^\(/[^/]*\)/.*,\1,'`
|
|
||||||
+ top_dest=`echo $link_dest | sed -e 's,^\(/[^/]*\)/.*,\1,'`
|
|
||||||
+ if test "$forced_absolute" = 0 && test "$top_link" = "$top_dest"; then # supposed to be relative
|
|
||||||
+
|
|
||||||
+ # first we need to cut out the common prefix
|
|
||||||
+ link_tmp=$link
|
|
||||||
+ while test "$top_link" = "$top_dest"; do
|
|
||||||
+ link_orig=$link_tmp
|
|
||||||
+ dest_orig=$link_dest
|
|
||||||
+ link_tmp=`echo $link_tmp | sed -e 's,^\(/[^/]*\)/,/,'`
|
|
||||||
+ link_dest=`echo $link_dest | sed -e 's,^\(/[^/]*\)/,/,'`
|
|
||||||
+ top_link=`echo $link_tmp | sed -e 's,^\(/[^/]*\)/.*,\1,'`
|
|
||||||
+ top_dest=`echo $link_dest | sed -e 's,^\(/[^/]*\)/.*,\1,'`
|
|
||||||
+
|
|
||||||
+ if test "$top_dest" = "$dest_orig" || test "$top_link" = "$link_orig"; then
|
|
||||||
+ link_tmp=$link_orig
|
|
||||||
+ link_dest=$dest_orig
|
|
||||||
+ break
|
|
||||||
+ fi
|
|
||||||
+ done
|
|
||||||
+
|
|
||||||
+ # now we add a .. for every directory component
|
|
||||||
+ link_tmp=`$DIRNAME $link_tmp`
|
|
||||||
+
|
|
||||||
+ if test "$link_tmp" = "$link_dest"; then
|
|
||||||
+ new_link_dest=.
|
|
||||||
+ elif test "$link_tmp" != "/"; then # we have a directory component
|
|
||||||
+ link_rel=
|
|
||||||
+
|
|
||||||
+ while test -n "$link_tmp"; do
|
|
||||||
+ link_tmp=`echo $link_tmp | sed -e 's,^\(/[^/]*\),,'`
|
|
||||||
+ link_rel="../$link_rel"
|
|
||||||
+ done
|
|
||||||
+
|
|
||||||
+ new_link_dest=`echo $link_rel/$link_dest | sed -e "s,//*,/,g"`
|
|
||||||
+ else
|
|
||||||
+ # get rid of the slash
|
|
||||||
+ link_dest=`echo $link_dest | sed -e 's,^/,,'`
|
|
||||||
+ new_link_dest=$link_dest
|
|
||||||
+ fi
|
|
||||||
+ else
|
|
||||||
+ new_link_dest=$link_dest
|
|
||||||
+ fi
|
|
||||||
+ fi
|
|
||||||
+
|
|
||||||
+ if test "$new_link_dest" != NONE && test "$new_link_dest" != "$orig_link_dest"; then
|
|
||||||
+ echo "INFO: relinking $link -> $new_link_dest (was $orig_link_dest)"
|
|
||||||
+ rm ./$link && ln -s $new_link_dest ./$link
|
|
||||||
+ fi
|
+ fi
|
||||||
+done
|
+done
|
||||||
+
|
+
|
||||||
+if test "$had_errors" = 1; then
|
|
||||||
+ exit 1
|
|
||||||
+fi
|
|
||||||
|
41
build.diff
41
build.diff
@ -1,9 +1,11 @@
|
|||||||
Many changes to Makefiles/autogen and the like to make it build
|
Many changes to Makefiles/autogen and the like to make it build
|
||||||
on SUSE systems.
|
on SUSE systems.
|
||||||
|
|
||||||
--- ./configure.ac.orig 2011-05-11 14:27:32.000000000 +0000
|
Index: configure.ac
|
||||||
+++ ./configure.ac 2011-05-11 15:18:44.000000000 +0000
|
===================================================================
|
||||||
@@ -850,6 +850,7 @@ arm*) RPMCANONCOLOR=0; RPMCANONARCH=arm
|
--- configure.ac.orig 2011-12-11 09:36:44.163526074 +0100
|
||||||
|
+++ configure.ac 2011-12-11 09:36:44.826494708 +0100
|
||||||
|
@@ -849,6 +849,7 @@ arm*) RPMCANONCOLOR=0; RPMCANONARCH=arm
|
||||||
mipsel*) RPMCANONCOLOR=0; RPMCANONARCH=mipsel ;;
|
mipsel*) RPMCANONCOLOR=0; RPMCANONARCH=mipsel ;;
|
||||||
mips*) RPMCANONCOLOR=0; RPMCANONARCH=mips ;;
|
mips*) RPMCANONCOLOR=0; RPMCANONARCH=mips ;;
|
||||||
m68k*) RPMCANONCOLOR=0; RPMCANONARCH=m68k ;;
|
m68k*) RPMCANONCOLOR=0; RPMCANONARCH=m68k ;;
|
||||||
@ -11,7 +13,7 @@ on SUSE systems.
|
|||||||
sh3*) RPMCANONCOLOR=0; RPMCANONARCH=sh3 ;;
|
sh3*) RPMCANONCOLOR=0; RPMCANONARCH=sh3 ;;
|
||||||
sh4*) RPMCANONCOLOR=0; RPMCANONARCH=sh4 ;;
|
sh4*) RPMCANONCOLOR=0; RPMCANONARCH=sh4 ;;
|
||||||
*) RPMCANONCOLOR=0; RPMCANONARCH=unknown ;;
|
*) RPMCANONCOLOR=0; RPMCANONARCH=unknown ;;
|
||||||
@@ -860,6 +861,7 @@ esac
|
@@ -859,6 +860,7 @@ esac
|
||||||
RPMCANONVENDOR="$build_vendor"
|
RPMCANONVENDOR="$build_vendor"
|
||||||
case "${build_vendor}" in
|
case "${build_vendor}" in
|
||||||
unknown|pc|ibm|redhat|pld|mandrake|conectiva|lvr|yellowdog|caos|suse)
|
unknown|pc|ibm|redhat|pld|mandrake|conectiva|lvr|yellowdog|caos|suse)
|
||||||
@ -19,7 +21,7 @@ on SUSE systems.
|
|||||||
test -f /etc/redhat-release && RPMCANONVENDOR=redhat
|
test -f /etc/redhat-release && RPMCANONVENDOR=redhat
|
||||||
test -f /etc/SuSE-release && RPMCANONVENDOR=suse
|
test -f /etc/SuSE-release && RPMCANONVENDOR=suse
|
||||||
test -f /etc/pld-release && RPMCANONVENDOR=pld
|
test -f /etc/pld-release && RPMCANONVENDOR=pld
|
||||||
@@ -872,6 +874,9 @@ unknown|pc|ibm|redhat|pld|mandrake|conec
|
@@ -871,6 +873,9 @@ unknown|pc|ibm|redhat|pld|mandrake|conec
|
||||||
esac
|
esac
|
||||||
RPMCANONOS="$host_os_noversion"
|
RPMCANONOS="$host_os_noversion"
|
||||||
RPMCANONGNU="$host_os_gnu"
|
RPMCANONGNU="$host_os_gnu"
|
||||||
@ -29,8 +31,10 @@ on SUSE systems.
|
|||||||
AC_SUBST(RPMCANONCOLOR)
|
AC_SUBST(RPMCANONCOLOR)
|
||||||
AC_SUBST(RPMCANONARCH)
|
AC_SUBST(RPMCANONARCH)
|
||||||
AC_SUBST(RPMCANONVENDOR)
|
AC_SUBST(RPMCANONVENDOR)
|
||||||
--- ./db3/configure.orig 2010-12-03 12:11:57.000000000 +0000
|
Index: db3/configure
|
||||||
+++ ./db3/configure 2011-05-11 15:18:44.000000000 +0000
|
===================================================================
|
||||||
|
--- db3/configure.orig 2011-12-11 09:34:48.129015541 +0100
|
||||||
|
+++ db3/configure 2011-12-11 09:36:44.826494708 +0100
|
||||||
@@ -10,9 +10,9 @@ rm -f config.cache
|
@@ -10,9 +10,9 @@ rm -f config.cache
|
||||||
# XXX edit CFLAGS= ... out of invocation args ???
|
# XXX edit CFLAGS= ... out of invocation args ???
|
||||||
ARGS="`echo $* | sed -e 's% [^ ]*CFLAGS=[^ ]*%%' -e 's% -[^-][^ ]*%%g' -e 's% --param=[^ ]*%%g' -e 's%--cache-file=.*$%%'`"
|
ARGS="`echo $* | sed -e 's% [^ ]*CFLAGS=[^ ]*%%' -e 's% -[^-][^ ]*%%g' -e 's% --param=[^ ]*%%g' -e 's%--cache-file=.*$%%'`"
|
||||||
@ -43,9 +47,11 @@ on SUSE systems.
|
|||||||
|
|
||||||
mv Makefile Makefile.orig
|
mv Makefile Makefile.orig
|
||||||
cat Makefile.orig | sed -e '/^install[:-]/c\
|
cat Makefile.orig | sed -e '/^install[:-]/c\
|
||||||
--- ./installplatform.orig 2010-12-03 12:11:57.000000000 +0000
|
Index: installplatform
|
||||||
+++ ./installplatform 2011-05-11 15:18:44.000000000 +0000
|
===================================================================
|
||||||
@@ -19,7 +19,7 @@
|
--- installplatform.orig 2011-12-11 09:34:48.139015072 +0100
|
||||||
|
+++ installplatform 2011-12-11 09:37:38.621949601 +0100
|
||||||
|
@@ -19,7 +19,7 @@ RPMRC_GNU="`$RPM --eval '%{_gnu}'`"
|
||||||
case "$arch" in
|
case "$arch" in
|
||||||
i[3456]86|pentium[34]|athlon|geode) SUBSTS='s_i386_i386_ s_i386_i486_ s_i386_i586_ s_i386_i686_ s_i386_pentium3_ s_i386_pentium4_ s_i386_athlon_ s_i386_geode_' ;;
|
i[3456]86|pentium[34]|athlon|geode) SUBSTS='s_i386_i386_ s_i386_i486_ s_i386_i586_ s_i386_i686_ s_i386_pentium3_ s_i386_pentium4_ s_i386_athlon_ s_i386_geode_' ;;
|
||||||
alpha*) SUBSTS='s_alpha_alpha_ s_alpha_alphaev5_ s_alpha_alphaev56_ s_alpha_alphapca56_ s_alpha_alphaev6_ s_alpha_alphaev67_' ;;
|
alpha*) SUBSTS='s_alpha_alpha_ s_alpha_alphaev5_ s_alpha_alphaev56_ s_alpha_alphapca56_ s_alpha_alphaev6_ s_alpha_alphaev67_' ;;
|
||||||
@ -54,20 +60,7 @@ on SUSE systems.
|
|||||||
sh4*) SUBSTS='s_sh4_sh4_ s_sh4_sh4a_' ;;
|
sh4*) SUBSTS='s_sh4_sh4_ s_sh4_sh4a_' ;;
|
||||||
sparc*) SUBSTS='s_sparc\(64\|64v\|v9v\|v9\)_sparc_ s_sparc64_sparcv9_;s_sparc\([^v]\|$\)_sparcv9\1_ s_sparcv9_sparc64_;s_sparc\([^6]\|$\)_sparc64\1_' ;;
|
sparc*) SUBSTS='s_sparc\(64\|64v\|v9v\|v9\)_sparc_ s_sparc64_sparcv9_;s_sparc\([^v]\|$\)_sparcv9\1_ s_sparcv9_sparc64_;s_sparc\([^6]\|$\)_sparc64\1_' ;;
|
||||||
powerpc*|ppc*) SUBSTS='s_ppc64_ppc_ s_ppc\([^6ip]\|$\)_ppc64\1_ s_ppc\([^6ip]\|$\)_ppciseries_ s_ppc\([^6ip]\|$\)_ppcpseries_ s_ppc\([^6ip]\|$\)_ppc64iseries_ s_ppc\([^6ip]\|$\)_ppc64pseries_' ;;
|
powerpc*|ppc*) SUBSTS='s_ppc64_ppc_ s_ppc\([^6ip]\|$\)_ppc64\1_ s_ppc\([^6ip]\|$\)_ppciseries_ s_ppc\([^6ip]\|$\)_ppcpseries_ s_ppc\([^6ip]\|$\)_ppc64iseries_ s_ppc\([^6ip]\|$\)_ppc64pseries_' ;;
|
||||||
@@ -47,9 +47,9 @@
|
@@ -129,6 +129,9 @@ for SUBST in $SUBSTS ; do
|
||||||
ARCH_INSTALL_POST='%{nil}'
|
|
||||||
case "${ARCH}-${OS}" in
|
|
||||||
sparc64*-linux) LIB=lib64 ;;
|
|
||||||
- s390x-linux) LIB=lib64 ;;
|
|
||||||
- ppc64-linux|powerpc64-linux) LIB=lib64 ;;
|
|
||||||
- x86_64-linux|amd64-linux|ia32e-linux) LIB=lib64 ;;
|
|
||||||
+ s390x-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux ; LIB=lib64 ;;
|
|
||||||
+ ppc64-linux|powerpc64-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux ; LIB=lib64 ;;
|
|
||||||
+ x86_64-linux|amd64-linux|ia32e-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux ; LIB=lib64 ;;
|
|
||||||
*) LIB=lib;;
|
|
||||||
esac
|
|
||||||
|
|
||||||
@@ -129,6 +130,9 @@
|
|
||||||
apple)
|
apple)
|
||||||
VENDORSED='-e s,^@apple@,,'
|
VENDORSED='-e s,^@apple@,,'
|
||||||
;;
|
;;
|
||||||
|
@ -1,9 +1,11 @@
|
|||||||
Add support for supplements to the internal dependency
|
Add support for supplements to the internal dependency
|
||||||
generator.
|
generator.
|
||||||
|
|
||||||
--- build/rpmfc.c.orig 2011-05-13 16:54:26.000000000 +0000
|
Index: build/rpmfc.c
|
||||||
+++ build/rpmfc.c 2011-05-13 17:11:20.000000000 +0000
|
===================================================================
|
||||||
@@ -54,6 +54,7 @@ struct rpmfc_s {
|
--- build/rpmfc.c.orig 2011-12-09 14:46:56.296892644 +0100
|
||||||
|
+++ build/rpmfc.c 2011-12-09 14:47:08.510313829 +0100
|
||||||
|
@@ -57,6 +57,7 @@ struct rpmfc_s {
|
||||||
|
|
||||||
rpmds provides; /*!< (no. provides) package provides */
|
rpmds provides; /*!< (no. provides) package provides */
|
||||||
rpmds requires; /*!< (no. requires) package requires */
|
rpmds requires; /*!< (no. requires) package requires */
|
||||||
@ -11,7 +13,7 @@ generator.
|
|||||||
};
|
};
|
||||||
|
|
||||||
struct rpmfcTokens_s {
|
struct rpmfcTokens_s {
|
||||||
@@ -481,6 +482,14 @@ static int rpmfcHelper(rpmfc fc, unsigne
|
@@ -504,6 +505,14 @@ static int rpmfcHelper(rpmfc fc, unsigne
|
||||||
dsContext = RPMSENSE_FIND_REQUIRES;
|
dsContext = RPMSENSE_FIND_REQUIRES;
|
||||||
tagN = RPMTAG_REQUIRENAME;
|
tagN = RPMTAG_REQUIRENAME;
|
||||||
break;
|
break;
|
||||||
@ -26,7 +28,7 @@ generator.
|
|||||||
}
|
}
|
||||||
|
|
||||||
/* If the entire path is filtered out, there's nothing more to do */
|
/* If the entire path is filtered out, there's nothing more to do */
|
||||||
@@ -752,6 +761,7 @@ rpmfc rpmfcFree(rpmfc fc)
|
@@ -779,6 +788,7 @@ rpmfc rpmfcFree(rpmfc fc)
|
||||||
|
|
||||||
fc->provides = rpmdsFree(fc->provides);
|
fc->provides = rpmdsFree(fc->provides);
|
||||||
fc->requires = rpmdsFree(fc->requires);
|
fc->requires = rpmdsFree(fc->requires);
|
||||||
@ -34,7 +36,7 @@ generator.
|
|||||||
}
|
}
|
||||||
fc = _free(fc);
|
fc = _free(fc);
|
||||||
return NULL;
|
return NULL;
|
||||||
@@ -804,6 +814,7 @@ rpmRC rpmfcApply(rpmfc fc)
|
@@ -831,6 +841,7 @@ rpmRC rpmfcApply(rpmfc fc)
|
||||||
for (ARGV_t fattr = fc->fattrs[fc->ix]; fattr && *fattr; fattr++) {
|
for (ARGV_t fattr = fc->fattrs[fc->ix]; fattr && *fattr; fattr++) {
|
||||||
xx += rpmfcHelper(fc, 'P', *fattr);
|
xx += rpmfcHelper(fc, 'P', *fattr);
|
||||||
xx += rpmfcHelper(fc, 'R', *fattr);
|
xx += rpmfcHelper(fc, 'R', *fattr);
|
||||||
@ -42,7 +44,7 @@ generator.
|
|||||||
}
|
}
|
||||||
}
|
}
|
||||||
|
|
||||||
@@ -846,6 +857,11 @@ rpmRC rpmfcApply(rpmfc fc)
|
@@ -873,6 +884,11 @@ rpmRC rpmfcApply(rpmfc fc)
|
||||||
dix = rpmdsFind(fc->requires, ds);
|
dix = rpmdsFind(fc->requires, ds);
|
||||||
ds = rpmdsFree(ds);
|
ds = rpmdsFree(ds);
|
||||||
break;
|
break;
|
||||||
@ -54,7 +56,7 @@ generator.
|
|||||||
}
|
}
|
||||||
|
|
||||||
/* XXX assertion incorrect while generating -debuginfo deps. */
|
/* XXX assertion incorrect while generating -debuginfo deps. */
|
||||||
@@ -1357,6 +1373,18 @@ rpmRC rpmfcGenerateDepends(const rpmSpec
|
@@ -1384,6 +1400,18 @@ rpmRC rpmfcGenerateDepends(const rpmSpec
|
||||||
}
|
}
|
||||||
}
|
}
|
||||||
|
|
||||||
|
@ -1,6 +1,8 @@
|
|||||||
--- ./autodeps/linux.prov.orig 2011-05-11 16:45:13.000000000 +0000
|
Index: autodeps/linux.prov
|
||||||
+++ ./autodeps/linux.prov 2011-05-11 16:51:10.000000000 +0000
|
===================================================================
|
||||||
@@ -107,4 +107,9 @@ fi
|
--- autodeps/linux.prov.orig 2011-12-09 15:13:23.686700264 +0100
|
||||||
|
+++ autodeps/linux.prov 2011-12-09 15:13:23.733698039 +0100
|
||||||
|
@@ -101,4 +101,9 @@ fi
|
||||||
[ -x /usr/lib/rpm/gstreamer-provides ] &&
|
[ -x /usr/lib/rpm/gstreamer-provides ] &&
|
||||||
printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/gstreamer-provides | sort -u
|
printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/gstreamer-provides | sort -u
|
||||||
|
|
||||||
@ -10,9 +12,11 @@
|
|||||||
+ printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/sysvinitdeps.sh -P | sort -u
|
+ printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/sysvinitdeps.sh -P | sort -u
|
||||||
+
|
+
|
||||||
exit 0
|
exit 0
|
||||||
--- ./scripts/Makefile.am.orig 2011-05-11 14:46:38.000000000 +0000
|
Index: scripts/Makefile.am
|
||||||
+++ ./scripts/Makefile.am 2011-05-11 16:52:10.000000000 +0000
|
===================================================================
|
||||||
@@ -22,6 +22,7 @@ EXTRA_DIST = \
|
--- scripts/Makefile.am.orig 2011-12-09 15:13:22.917736665 +0100
|
||||||
|
+++ scripts/Makefile.am 2011-12-09 15:13:23.733698039 +0100
|
||||||
|
@@ -21,6 +21,7 @@ EXTRA_DIST = \
|
||||||
ocaml-find-requires.sh ocaml-find-provides.sh \
|
ocaml-find-requires.sh ocaml-find-provides.sh \
|
||||||
pkgconfigdeps.sh libtooldeps.sh \
|
pkgconfigdeps.sh libtooldeps.sh \
|
||||||
fontconfig.prov desktop-file.prov script.req \
|
fontconfig.prov desktop-file.prov script.req \
|
||||||
@ -20,7 +24,7 @@
|
|||||||
macros.perl macros.php macros.python
|
macros.perl macros.php macros.python
|
||||||
|
|
||||||
rpmconfig_SCRIPTS = \
|
rpmconfig_SCRIPTS = \
|
||||||
@@ -38,6 +39,7 @@ rpmconfig_SCRIPTS = \
|
@@ -37,6 +38,7 @@ rpmconfig_SCRIPTS = \
|
||||||
pkgconfigdeps.sh libtooldeps.sh \
|
pkgconfigdeps.sh libtooldeps.sh \
|
||||||
ocaml-find-requires.sh ocaml-find-provides.sh \
|
ocaml-find-requires.sh ocaml-find-provides.sh \
|
||||||
fontconfig.prov desktop-file.prov script.req \
|
fontconfig.prov desktop-file.prov script.req \
|
||||||
@ -28,8 +32,10 @@
|
|||||||
rpmdb_loadcvt rpm2cpio.sh tcl.req tgpg
|
rpmdb_loadcvt rpm2cpio.sh tcl.req tgpg
|
||||||
|
|
||||||
rpmconfig_DATA = \
|
rpmconfig_DATA = \
|
||||||
--- ./scripts/sysvinitdeps.sh.orig 2011-05-11 16:51:10.000000000 +0000
|
Index: scripts/sysvinitdeps.sh
|
||||||
+++ ./scripts/sysvinitdeps.sh 2011-05-11 16:54:33.000000000 +0000
|
===================================================================
|
||||||
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
||||||
|
+++ scripts/sysvinitdeps.sh 2011-12-09 15:13:23.733698039 +0100
|
||||||
@@ -0,0 +1,17 @@
|
@@ -0,0 +1,17 @@
|
||||||
+#!/bin/sh
|
+#!/bin/sh
|
||||||
+
|
+
|
||||||
|
@ -1,7 +1,9 @@
|
|||||||
SUSE specific platform changes.
|
SUSE specific platform changes.
|
||||||
|
|
||||||
--- ./platform.in.orig 2010-12-03 12:11:57.000000000 +0000
|
Index: platform.in
|
||||||
+++ ./platform.in 2011-05-11 15:02:03.000000000 +0000
|
===================================================================
|
||||||
|
--- platform.in.orig 2011-12-11 09:27:18.000000000 +0100
|
||||||
|
+++ platform.in 2011-12-11 09:29:47.564232873 +0100
|
||||||
@@ -21,7 +21,7 @@
|
@@ -21,7 +21,7 @@
|
||||||
%_exec_prefix @exec_prefix@
|
%_exec_prefix @exec_prefix@
|
||||||
%_bindir @bindir@
|
%_bindir @bindir@
|
||||||
|
@ -1,5 +1,7 @@
|
|||||||
--- ./scripts/find-lang.sh.orig 2011-05-11 16:45:30.000000000 +0000
|
Index: scripts/find-lang.sh
|
||||||
+++ ./scripts/find-lang.sh 2011-05-11 16:55:14.000000000 +0000
|
===================================================================
|
||||||
|
--- scripts/find-lang.sh.orig 2011-12-09 14:46:32.443023115 +0100
|
||||||
|
+++ scripts/find-lang.sh 2011-12-09 14:46:52.086092200 +0100
|
||||||
@@ -122,6 +122,17 @@ fi
|
@@ -122,6 +122,17 @@ fi
|
||||||
MO_NAME_NEW=$MO_NAME.tmp.$$
|
MO_NAME_NEW=$MO_NAME.tmp.$$
|
||||||
rm -f $MO_NAME_NEW
|
rm -f $MO_NAME_NEW
|
||||||
|
@ -1,6 +1,8 @@
|
|||||||
--- macros.in.orig
|
Index: macros.in
|
||||||
+++ macros.in
|
===================================================================
|
||||||
@@ -900,7 +900,8 @@ print (t)\
|
--- macros.in.orig 2011-12-09 13:21:58.078688958 +0100
|
||||||
|
+++ macros.in 2011-12-09 13:21:58.502668839 +0100
|
||||||
|
@@ -920,7 +920,8 @@ posix.setenv("RPMBUILD_SOURCEDIR",rpm.ex
|
||||||
--localstatedir=%{_localstatedir} \\\
|
--localstatedir=%{_localstatedir} \\\
|
||||||
--sharedstatedir=%{_sharedstatedir} \\\
|
--sharedstatedir=%{_sharedstatedir} \\\
|
||||||
--mandir=%{_mandir} \\\
|
--mandir=%{_mandir} \\\
|
||||||
|
@ -1,3 +1,8 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Sun Dec 11 09:28:28 UTC 2011 - coolo@suse.com
|
||||||
|
|
||||||
|
- add libtool as explicit buildrequire
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Wed Feb 23 14:01:41 CET 2011 - mls@suse.de
|
Wed Feb 23 14:01:41 CET 2011 - mls@suse.de
|
||||||
|
|
||||||
|
@ -15,18 +15,28 @@
|
|||||||
# Please submit bugfixes or comments via http://bugs.opensuse.org/
|
# Please submit bugfixes or comments via http://bugs.opensuse.org/
|
||||||
#
|
#
|
||||||
|
|
||||||
# norootforbuild
|
|
||||||
|
|
||||||
|
|
||||||
Name: rpm-python
|
Name: rpm-python
|
||||||
BuildRequires: file-devel libbz2-devel libelf-devel libselinux-devel libsemanage-devel lua-devel ncurses-devel popt-devel
|
BuildRequires: file-devel
|
||||||
BuildRequires: libacl-devel libcap-devel python-devel xz-devel zlib-devel
|
BuildRequires: libacl-devel
|
||||||
|
BuildRequires: libbz2-devel
|
||||||
|
BuildRequires: libcap-devel
|
||||||
|
BuildRequires: libelf-devel
|
||||||
|
BuildRequires: libselinux-devel
|
||||||
|
BuildRequires: libsemanage-devel
|
||||||
|
BuildRequires: libtool
|
||||||
|
BuildRequires: lua-devel
|
||||||
|
BuildRequires: ncurses-devel
|
||||||
|
BuildRequires: popt-devel
|
||||||
|
BuildRequires: python-devel
|
||||||
|
BuildRequires: xz-devel
|
||||||
|
BuildRequires: zlib-devel
|
||||||
#!BuildIgnore: rpmlint-Factory
|
#!BuildIgnore: rpmlint-Factory
|
||||||
|
Summary: Python Bindings for Manipulating RPM Packages
|
||||||
License: GPL-2.0+
|
License: GPL-2.0+
|
||||||
Group: System/Packages
|
Group: System/Packages
|
||||||
Summary: Python Bindings for Manipulating RPM Packages
|
|
||||||
Version: 4.9.1.2
|
Version: 4.9.1.2
|
||||||
Release: 5
|
Release: 0
|
||||||
Requires: rpm = %{version}
|
Requires: rpm = %{version}
|
||||||
%py_requires
|
%py_requires
|
||||||
Source99: rpm.spec
|
Source99: rpm.spec
|
||||||
|
@ -18,11 +18,11 @@
|
|||||||
%suseconfig_fonts_prereq perl aaa_base
|
%suseconfig_fonts_prereq perl aaa_base
|
||||||
%install_info_prereq info
|
%install_info_prereq info
|
||||||
|
|
||||||
# _suse_os_install_post is defined in brp-checks-suse
|
# this script calls all scripts in /usr/lib/rpm/brp-suse.d
|
||||||
%__os_install_post %{?_suse_os_install_post}%{!?_suse_os_install_post: \
|
%__os_install_post \
|
||||||
/usr/lib/rpm/brp-compress \
|
/usr/lib/rpm/brp-compress \
|
||||||
/usr/lib/rpm/brp-symlink \
|
/usr/lib/rpm/brp-suse \
|
||||||
%{nil}}
|
%{nil}
|
||||||
|
|
||||||
# macro: %restart_on_update()
|
# macro: %restart_on_update()
|
||||||
# Used to restart a service in postun section, if we are
|
# Used to restart a service in postun section, if we are
|
||||||
|
12
rpm.changes
12
rpm.changes
@ -1,3 +1,15 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Mon Dec 12 11:02:10 UTC 2011 - coolo@suse.com
|
||||||
|
|
||||||
|
- readd brp-compress
|
||||||
|
|
||||||
|
-------------------------------------------------------------------
|
||||||
|
Fri Dec 9 13:55:31 UTC 2011 - coolo@suse.com
|
||||||
|
|
||||||
|
- do not hardcode brp check list, but call everything below
|
||||||
|
/usr/lib/rpm/brp-suse.d - and move our own brp scripts to
|
||||||
|
brp-check-suse
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Wed Nov 23 12:49:15 UTC 2011 - coolo@suse.com
|
Wed Nov 23 12:49:15 UTC 2011 - coolo@suse.com
|
||||||
|
|
||||||
|
25
rpm.spec
25
rpm.spec
@ -16,19 +16,28 @@
|
|||||||
#
|
#
|
||||||
|
|
||||||
|
|
||||||
|
|
||||||
Name: rpm
|
Name: rpm
|
||||||
License: GPL-2.0+
|
BuildRequires: file-devel
|
||||||
Group: System/Packages
|
BuildRequires: libacl-devel
|
||||||
BuildRequires: file-devel libbz2-devel libelf-devel libselinux-devel libsemanage-devel lua-devel ncurses-devel xz-devel zlib-devel
|
BuildRequires: libbz2-devel
|
||||||
BuildRequires: libtool popt-devel
|
BuildRequires: libcap-devel
|
||||||
BuildRequires: libacl-devel libcap-devel
|
BuildRequires: libelf-devel
|
||||||
|
BuildRequires: libselinux-devel
|
||||||
|
BuildRequires: libsemanage-devel
|
||||||
|
BuildRequires: libtool
|
||||||
|
BuildRequires: lua-devel
|
||||||
|
BuildRequires: ncurses-devel
|
||||||
|
BuildRequires: popt-devel
|
||||||
|
BuildRequires: xz-devel
|
||||||
|
BuildRequires: zlib-devel
|
||||||
#!BuildIgnore: rpmlint-Factory
|
#!BuildIgnore: rpmlint-Factory
|
||||||
Provides: rpminst
|
Provides: rpminst
|
||||||
PreReq: %insserv_prereq %fillup_prereq
|
PreReq: %insserv_prereq %fillup_prereq
|
||||||
Summary: The RPM Package Manager
|
Summary: The RPM Package Manager
|
||||||
|
License: GPL-2.0+
|
||||||
|
Group: System/Packages
|
||||||
Version: 4.9.1.2
|
Version: 4.9.1.2
|
||||||
Release: 1
|
Release: 0
|
||||||
Source: rpm-%{version}.tar.bz2
|
Source: rpm-%{version}.tar.bz2
|
||||||
Source1: RPM-HOWTO.tar.bz2
|
Source1: RPM-HOWTO.tar.bz2
|
||||||
Source2: RPM-Tips.html.tar.bz2
|
Source2: RPM-Tips.html.tar.bz2
|
||||||
@ -137,8 +146,6 @@ Authors:
|
|||||||
|
|
||||||
%package devel
|
%package devel
|
||||||
Summary: Include Files and Libraries mandatory for Development
|
Summary: Include Files and Libraries mandatory for Development
|
||||||
License: GPL-2.0+
|
|
||||||
Group: System/Packages
|
|
||||||
Requires: rpm = %{version}
|
Requires: rpm = %{version}
|
||||||
Requires: popt-devel
|
Requires: popt-devel
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user